﻿@model ViewModels.Financial.CustomerUserRialPaymentCreateViewModel

@{
    ViewBag.Title = "ثبت درخواست شارژ ریالی حساب";
}

@section Styles{
    <link href="~/Content/lib/css/jquery-ui.min.css" rel="stylesheet" />
}

<div class="alert alert-info">
    لطفا ابتدا مبلغ مورد نظر خود را از طریق پرداخت آنلاین پایا (از طریق پنل اینترنتی بانک خود) و یا از طریق واریز کارت به کارت به حساب سایت واریز نمایید.
    <br />
    سپس از طریق فرم زیر درخواست شارژ ریالی حساب را برای ما ارسال نمایید.
    <br />
    <hr />
    <p style="padding:0 0 8px"><b>شماره حساب سایت</b></p>&nbsp;&nbsp;&nbsp;
    شبا: @ViewBag.AdminRialAccount.ShabaNumber
    <br />&nbsp;&nbsp;&nbsp;
    شماره کارت: @ViewBag.AdminRialAccount.CardNumber
    <br />&nbsp;&nbsp;&nbsp;
    شماره حساب: @ViewBag.AdminRialAccount.AccountNumber
    <br />&nbsp;&nbsp;&nbsp;
    بانک : @ViewBag.AdminRialAccount.Bank.Name
</div>

<div class="alert alert-warning">
    فقط و فقط واریز هایی که از حساب بانکی تایید شده شما برای ما انجام شده باشد، قابل تایید است.
    <br />
    لذا فقط و فقط از حساب بانکی تایید شده خود پول را به حساب ما واریز نمایید.
</div>

@using (Html.BeginForm()) 
{
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
	
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.UserRialAccountId, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.DropDownListFor(model => model.UserRialAccountId, new SelectList(ViewBag.AcceptedUserAccount, "Id", "ShabaNumber"), new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.UserRialAccountId)
            </div>
        </div>
	</div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.TrackingNumber, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.TrackingNumber, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.TrackingNumber)
            </div>
        </div>
	</div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.Price, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.Price, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.Price)
            </div>
        </div>
	</div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
            @Html.LabelFor(model => model.PayDate, new { @class = "label-control" })
			</div>
		</div>
		<div class="form-group">
            <div class="col-lg-4 col-lg-offset-8 col-md-4 col-md-offset-8">
				@Html.TextBoxFor(model => model.PayDate, new { @class = "form-control ltr" })
                @Html.ValidationMessageFor(model => model.PayDate)
            </div>
        </div>
	</div>
	<div class="row">
        <div class="form-group">
			<div class="col-lg-12">
				<input type="submit" value="ثبت" class="btn btn-info"  />
			</div>
		</div>
	</div>
}


@section Scripts{
    <!-- file-input -->
    <script src="~/Content/lib/js/fileinput.min.js"></script>
    <script src="~/Content/lib/js/jquery.ui.datepicker-cc.all.min.js"></script>

    <script type="text/javascript">
    $(function () {

        // ===================================== initialize =====================================
        // date picker
        $("#PayDate").datepicker({
            dateFormat: "yy/mm/dd"
        });

    });
    </script>

}